apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: hsts
  namespace: kube-system  # oder der Namespace, in dem Traefik läuft
spec:
  headers:
    sslRedirect: true
    forceSTSHeader: true
    stsSeconds: 15552000
    stsIncludeSubdomains: true
    stsPreload: true

